/*
 * Copyright (C) 2012 Mykola Kondratenko
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.mykola.lexinproject.utils;

import android.util.Log;

import com.mykola.lexinproject.BuildConfig;

public class LogUtils {
	private static final boolean DEBUG /*= true;*/ = BuildConfig.DEBUG;

	public static void LOGD(final String tag, String message) {
		if (DEBUG) {
			Log.d(tag, message);
		}
	}

	public static void LOGD(final String tag, String message, Throwable cause) {
		if (DEBUG) {
			Log.d(tag, message, cause);
		}
	}

	public static void LOGV(final String tag, String message) {
		if (DEBUG) {
			Log.v(tag, message);
		}
	}

	public static void LOGV(final String tag, String message, Throwable cause) {
		if (DEBUG) {
			Log.v(tag, message, cause);
		}
	}

	public static void LOGI(final String tag, String message) {
		if (DEBUG) {
			Log.i(tag, message);
		}
	}

	public static void LOGI(final String tag, String message, Throwable cause) {
		if (DEBUG) {
			Log.i(tag, message, cause);
		}
	}

	public static void LOGW(final String tag, String message) {
		if (DEBUG) {
			Log.w(tag, message);

		}
	}

	public static void LOGW(final String tag, String message, Throwable cause) {
		if (DEBUG) {
			Log.w(tag, message, cause);

		}
	}

	public static void LOGE(final String tag, String message) {
		if (DEBUG) {
			Log.e(tag, message);
		}
	}

	public static void LOGE(final String tag, String message, Throwable cause) {
		if (DEBUG) {
			Log.e(tag, message, cause);
		}
	}

	private LogUtils() {
	}
}
